

body{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    font-family: 'Poppins', sans-serif;
font-size: 100%;
}

.card {
    background: #000000d0;
    color: white;
    padding: 1.0em;
    border-radius: 30px;
    width: 100%;
    max-width: 420px;
    margin: 1em;
}

.search {
    display: flex;
    align-items: center;
    justify-content: center;
}


button{ 
    margin: 0.5rem;
    border-radius: 50%;
    border: none;
    height: 46px;
    width: 46px;
    outline: none;
    background: #7c7c7c2b;
    color: white;
    cursor: pointer;
    transition: 0.2s ease-in-out;
}

input.search-bar {
    border: none;
    outline: none;
    padding: 0.5rem 1em;
    border-radius: 40px;
    background: #7c7c7c2b;
    color: white;
    font-family: inherit;
    font-size: 120%;
    width: calc(100% -100%);
}

button:hover{
    background: #7c7c7c6b;
}

h2.temp {
    margin: 0;
    margin-bottom: 1.5em;
}

.flex {
    display: flex;
    align-items: center;
}

.description{ 
    text-transform: capitalize;
    margin-left: 8px;
}

.weather-loading {

visibility: hidden;
max-height: 20px;
position: relative;

}

.weather.loading:after{
    visibility: visible;
    content: "loading...";
    color: white;
    position: absolute;
    top: 0;
    left: 20px;
}



